package com.jscape.inet.proxy.socks.protocol.v5.messages;

/**
 * @author Alex Usun
 */
public enum CommandStatus {

    SUCCEEDED(0x00),
    GENERAL_FAILURE(0x01),
    CONNECTION_NOT_ALLOWED(0x02),
    NETWORK_UNREACHABLE(0x03),
    HOST_UNREACHABLE(0x04),
    CONNECTION_REFUSED(0x05),
    TTL_EXPIRED(0x06),
    COMMAND_NOT_SUPPORTED(0x07),
    ADDRESS_NOT_SUPPORTED(0x08);

    public final int code;

    CommandStatus(int code) {
        this.code = code;
    }
}
